View Issue Details

IDProjectCategoryView StatusLast Update
0002843PartDesignBugpublic2017-01-14 16:16
ReporterhinckelAssigned Towandererfan 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002843: crash on loading file
DescriptionThe file attached contains a fcstd drawing that was generated and saved without problem.

OS: "openSUSE Leap 42.2"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9591 (Git)
Build type: Unknown
Branch: master
Hash: 675bcc251060d2c597bcea761be5fb672b4ea2bd
Python version: 2.7.12
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.9.1.oce-0.18-dev
Steps To ReproduceFreeCAD crashes upon loading the file.
TagsNo tags attached.

Activities

hinckel

2017-01-12 15:52

reporter  

Dispositivo_Pos_Inserto.fcstd (12,951 bytes)

Kunda1

2017-01-12 18:51

manager   ~0007679

@hinckel Do you mind providing a backtrace for the crash?

hinckel

2017-01-12 19:20

reporter   ~0007680

Here is the console trace...
Is this the bactrace, or how do I get it?

FreeCAD 0.17, Libs: 0.17R9591 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2016
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

Sheet Metal workbench loaded
nurbs configuration file loaded
Mod pluginloader InitGui.py starting ...
During initialization the error No module named yaml occurred in /home/hinckel/.FreeCAD/Mod/pluginloader/InitGui.py
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
*** Abort *** an exception was raised, but no catch was found.
        ... The exception is:SIGSEGV 'segmentation violation' detected. Address 5d8

Kunda1

2017-01-12 19:35

manager   ~0007681

@hinckel check out: http://www.freecadweb.org/wiki/index.php?title=Debugging

hinckel

2017-01-13 10:54

reporter   ~0007705

@Kunda1 (backtrace)
Here is the backtrace run according to recipe.

Additional information: The same problem occurs with other files. What they have in common is that they have
TechDraw WB's with views and dimensions..

Thanks

hinckel@jnh:~/FreeCAD/FreeCAD-Build/bin> gdb FreeCAD
GNU gdb (GDB; openSUSE Leap 42.2) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from FreeCAD...done.
(gdb) handle SIG33 noprint nostop
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) run
Starting program: /home/hinckel/FreeCAD/FreeCAD-Build/bin/FreeCAD
Missing separate debuginfos, use: zypper install glibc-debuginfo-2.22-3.7.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
FreeCAD 0.17, Libs: 0.17R9613 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2016
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

Sheet Metal workbench loaded
nurbs configuration file loaded
Mod pluginloader InitGui.py starting ...
During initialization the error No module named yaml occurred in /home/hinckel/.FreeCAD/Mod/pluginloader/InitGui.py
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
[New Thread 0x7fffc546b700 (LWP 8495)]
[New Thread 0x7fffc4c6a700 (LWP 8496)]
[Thread 0x7fffc546b700 (LWP 8495) exited]
[Thread 0x7fffc4c6a700 (LWP 8496) exited]
[New Thread 0x7fffbffff700 (LWP 8497)]
[New Thread 0x7fffbf7fe700 (LWP 8498)]
[Thread 0x7fffbffff700 (LWP 8497) exited]
[Thread 0x7fffbf7fe700 (LWP 8498) exited]
[New Thread 0x7fffbf7fe700 (LWP 8499)]
[New Thread 0x7fffbffff700 (LWP 8500)]
[Thread 0x7fffbf7fe700 (LWP 8499) exited]
[Thread 0x7fffbffff700 (LWP 8500) exited]
[New Thread 0x7fffc4c6a700 (LWP 8501)]
[New Thread 0x7fffc546b700 (LWP 8502)]
[Thread 0x7fffc4c6a700 (LWP 8501) exited]
[Thread 0x7fffc546b700 (LWP 8502) exited]
[New Thread 0x7fffc546b700 (LWP 8503)]
[New Thread 0x7fffc4c6a700 (LWP 8504)]
[New Thread 0x7fffbffff700 (LWP 8505)]
[New Thread 0x7fffbf7fe700 (LWP 8506)]
[Thread 0x7fffc546b700 (LWP 8503) exited]
[Thread 0x7fffbffff700 (LWP 8505) exited]
[Thread 0x7fffc4c6a700 (LWP 8504) exited]
[Thread 0x7fffbf7fe700 (LWP 8506) exited]
[New Thread 0x7fffbf7fe700 (LWP 8507)]
[Thread 0x7fffbf7fe700 (LWP 8507) exited]
[New Thread 0x7fffbffff700 (LWP 8508)]
[Thread 0x7fffbffff700 (LWP 8508) exited]
[New Thread 0x7fffc4c6a700 (LWP 8509)]
[Thread 0x7fffc4c6a700 (LWP 8509) exited]
[New Thread 0x7fffc546b700 (LWP 8510)]
[Thread 0x7fffc546b700 (LWP 8510) exited]
[New Thread 0x7fffc546b700 (LWP 8511)]
[New Thread 0x7fffc4c6a700 (LWP 8512)]
[Thread 0x7fffc546b700 (LWP 8511) exited]
[New Thread 0x7fffbffff700 (LWP 8513)]
[Thread 0x7fffc4c6a700 (LWP 8512) exited]
[New Thread 0x7fffbf7fe700 (LWP 8514)]
[Thread 0x7fffbffff700 (LWP 8513) exited]
[Thread 0x7fffbf7fe700 (LWP 8514) exited]
[New Thread 0x7fffbf7fe700 (LWP 8515)]
[New Thread 0x7fffbffff700 (LWP 8516)]
[New Thread 0x7fffc4c6a700 (LWP 8517)]
[New Thread 0x7fffc546b700 (LWP 8518)]
[Thread 0x7fffbf7fe700 (LWP 8515) exited]
[Thread 0x7fffc4c6a700 (LWP 8517) exited]
[Thread 0x7fffbffff700 (LWP 8516) exited]
[Thread 0x7fffc546b700 (LWP 8518) exited]

Thread 1 "FreeCAD" received signal SIGSEGV, Segmentation fault.
0x00007ffff5fec466 in Base::Vector3<double>::Vector3(Base::Vector3<double> const&) () from /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADBase.so
Missing separate debuginfos, use: zypper install Mesa-debuginfo-11.2.2-166.1.x86_64 Mesa-libGL1-debuginfo-11.2.2-166.1.x86_64 Mesa-libglapi0-debuginfo-11.2.2-166.1.x86_64 breeze4-style-debuginfo-5.8.3-4.1.x86_64 fontconfig-debuginfo-2.11.1-2.2.x86_64 glibc-locale-debuginfo-2.22-3.7.x86_64 kdebase4-runtime-debuginfo-16.08.2-1.1.x86_64 kdebase4-workspace-libs-debuginfo-4.11.22-3.24.x86_64 kdelibs4-debuginfo-4.14.25-1.1.x86_64 krb5-debuginfo-1.12.5-5.13.x86_64 libCoin80-debuginfo-3.9.99+hg20160705.1633-2.1.x86_64 libGLU1-debuginfo-9.0.0-16.4.x86_64 libHalf11-debuginfo-2.1.0-5.3.x86_64 libICE6-debuginfo-1.0.9-4.4.x86_64 libIex-2_1-11-debuginfo-2.1.0-5.3.x86_64 libIlmImf-Imf_2_1-21-debuginfo-2.1.0-7.4.x86_64 libIlmThread-2_1-11-debuginfo-2.1.0-5.3.x86_64 libSM6-debuginfo-1.2.2-6.3.x86_64 libX11-6-debuginfo-1.6.3-7.1.x86_64 libX11-xcb1-debuginfo-1.6.3-7.1.x86_64 libXau6-debuginfo-1.0.8-7.4.x86_64 libXcursor1-debuginfo-1.1.14-7.3.x86_64 libXdamage1-debuginfo-1.1.4-10.3.x86_64 libXext6-debuginfo-1.3.3-4.19.x86_64 libXfixes3-debuginfo-5.0.1-8.1.x86_64 libXi6-debuginfo-1.7.5-4.1.x86_64 libXinerama1-debuginfo-1.1.3-6.3.x86_64 libXrandr2-debuginfo-1.5.0-5.1.x86_64 libXrender1-debuginfo-0.9.9-4.1.x86_64 libXtst6-debuginfo-1.2.2-8.1.x86_64 libXxf86vm1-debuginfo-1.1.4-2.3.x86_64 libacl1-debuginfo-2.2.52-8.55.x86_64 libattica0_4-debuginfo-0.4.2-6.3.x86_64 libattr1-debuginfo-2.4.47-6.57.x86_64 libblas3-debuginfo-3.5.0-9.4.x86_64 libboost_atomic1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_chrono1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_date_time1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_filesystem1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_program_options1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_regex1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_signals1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_system1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_thread1_62_0-debuginfo-1.62.0-199.10.x86_64 libbz2-1-debuginfo-1.0.6-32.53.x86_64 libcap2-debuginfo-2.22-16.55.x86_64 libcom_err2-debuginfo-1.42.11-11.4.x86_64 libcurl4-debuginfo-7.52.1-189.2.x86_64 libdbus-1-3-debuginfo-1.8.22-1.1.x86_64 libdbusmenu-qt2-debuginfo-0.9.2+14.04.20131209-4.36.x86_64 libdrm2-debuginfo-2.4.68-1.4.x86_64 libdrm_intel1-debuginfo-2.4.68-1.4.x86_64 libdrm_nouveau2-debuginfo-2.4.68-1.4.x86_64 libdrm_radeon1-debuginfo-2.4.68-1.4.x86_64 libexpat1-debuginfo-2.2.0-159.1.x86_64 libffi4-debuginfo-5.3.1+r233831-7.1.x86_64 libfreetype6-debuginfo-2.6.3-3.1.x86_64 libgcc_s1-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libgfortran3-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libglib-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgmodule-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgobject-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgstapp-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstaudio-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstpbutils-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstreamer-1_0-0-debuginfo-1.8.3-1.8.x86_64 libgsttag-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstvideo-1_0-0-debuginfo-1.8.3-1.4.x86_64 libicu52_1-debuginfo-52.1-11.5.x86_64 libjasper1-debuginfo-1.900.14-170.1.x86_64 libjbig2-debuginfo-2.0-4.4.x86_64 libjpeg8-debuginfo-8.0.2-33.1.x86_64 libkde4-debuginfo-4.14.25-1.1.x86_64 libkdecore4-debuginfo-4.14.25-1.1.x86_64 libkeyutils1-debuginfo-1.5.9-5.18.x86_64 libksuseinstall1-debuginfo-4.14.25-1.1.x86_64 liblapack3-debuginfo-3.5.0-9.4.x86_64 liblcms1-debuginfo-1.19-20.4.x86_64 libldap-2_4-2-debuginfo-2.4.44-14.1.x86_64 liblzma5-debuginfo-5.2.2-1.11.x86_64 libmng1-debuginfo-1.0.10-4.4.x86_64 libnghttp2-14-debuginfo-1.18.0-2.2.x86_64 libopenal1-debuginfo-1.16.0-5.5.x86_64 libopenssl1_0_0-debuginfo-1.0.2j-2.2.x86_64 liborc-0_4-0-debuginfo-0.4.24-7.6.x86_64 libpciaccess0-debuginfo-0.13.4-2.4.x86_64 libpcre1-debuginfo-8.39-6.1.x86_64 libpng16-16-debuginfo-1.6.8-8.1.x86_64 libpsl5-debuginfo-0.14.0-1.2.x86_64 libpython2_7-1_0-debuginfo-2.7.12-24.1.x86_64 libqt4-debuginfo-4.8.6-14.1.x86_64 libqt4-x11-debuginfo-4.8.6-14.1.x86_64 libquadmath0-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libsasl2-3-debuginfo-2.1.26-9.5.x86_64 libselinux1-debuginfo-2.5-2.12.x86_64 libshiboken-python2_7-1_2-debuginfo-1.2.4-1.2.x86_64 libspnav0-debuginfo-0.2.3-3.2.x86_64 libsqlite3-0-debuginfo-3.8.10.2-7.9.x86_64 libssh2-1-debuginfo-1.7.0-51.5.x86_64 libstdc++6-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libtiff5-debuginfo-4.0.7-12.1.x86_64 libtxc_dxtn-debuginfo-1.0.1-4.2.x86_64 libudev1-debuginfo-228-15.1.x86_64 libuuid1-debuginfo-2.28-7.1.x86_64 libwebp5-debuginfo-0.4.3-7.4.x86_64 libxcb-dri2-0-debuginfo-1.11.1-2.25.x86_64 libxcb-dri3-0-debuginfo-1.11.1-2.25.x86_64 libxcb-glx0-debuginfo-1.11.1-2.25.x86_64 libxcb-present0-debuginfo-1.11.1-2.25.x86_64 libxcb-sync1-debuginfo-1.11.1-2.25.x86_64 libxcb1-debuginfo-1.11.1-2.25.x86_64 libxerces-c-3_1-debuginfo-3.1.4-39.43.x86_64 libxml2-2-debuginfo-2.9.4-1.4.x86_64 libxshmfence1-debuginfo-1.2-6.3.x86_64 libxslt1-debuginfo-1.1.29-84.5.x86_64 libz1-debuginfo-1.2.10-1.2.x86_64 python-base-debuginfo-2.7.12-24.1.x86_64 python-debuginfo-2.7.12-24.1.x86_64 python-pivy-debuginfo-0.5.0+hg20101206.2327-2.2.x86_64 python-pyside-debuginfo-1.2.2-4.27.x86_64
(gdb)

Kunda1

2017-01-13 12:26

manager   ~0007706

Thanks, but not enough. I think you missed running the most important debugging command which was the last one: 'bt' which triggers the backtrace. Do you mind doing so? Thanks!

hinckel

2017-01-13 13:13

reporter   ~0007711

@Kunda1
Here is the bt.
Thanks!

cd FreeCAD/FreeCAD-Build/bin/
hinckel@jnh:~/FreeCAD/FreeCAD-Build/bin> gdb FreeCAD
GNU gdb (GDB; openSUSE Leap 42.2) 7.11.1
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-suse-linux".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://bugs.opensuse.org/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from FreeCAD...done.
(gdb) handle SIG33 noprint nostop
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) run
Starting program: /home/hinckel/FreeCAD/FreeCAD-Build/bin/FreeCAD
Missing separate debuginfos, use: zypper install glibc-debuginfo-2.22-3.7.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
FreeCAD 0.17, Libs: 0.17R9613 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2016
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##
                                                                                                                                                                            
Sheet Metal workbench loaded
nurbs configuration file loaded
Mod pluginloader InitGui.py starting ...
During initialization the error No module named yaml occurred in /home/hinckel/.FreeCAD/Mod/pluginloader/InitGui.py
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
Can't find Origin for "Body"
[New Thread 0x7fffc546b700 (LWP 6143)]
[New Thread 0x7fffc4c6a700 (LWP 6144)]
[Thread 0x7fffc546b700 (LWP 6143) exited]
[Thread 0x7fffc4c6a700 (LWP 6144) exited]
[New Thread 0x7fffbffff700 (LWP 6145)]
[New Thread 0x7fffbf7fe700 (LWP 6146)]
[Thread 0x7fffbffff700 (LWP 6145) exited]
[Thread 0x7fffbf7fe700 (LWP 6146) exited]
[New Thread 0x7fffbf7fe700 (LWP 6147)]
[New Thread 0x7fffbffff700 (LWP 6148)]
[Thread 0x7fffbf7fe700 (LWP 6147) exited]
[New Thread 0x7fffc4c6a700 (LWP 6149)]
[Thread 0x7fffbffff700 (LWP 6148) exited]
[New Thread 0x7fffc546b700 (LWP 6150)]
[Thread 0x7fffc4c6a700 (LWP 6149) exited]
[Thread 0x7fffc546b700 (LWP 6150) exited]
[New Thread 0x7fffc546b700 (LWP 6151)]
[New Thread 0x7fffc4c6a700 (LWP 6152)]
[New Thread 0x7fffbffff700 (LWP 6153)]
[New Thread 0x7fffbf7fe700 (LWP 6154)]
[Thread 0x7fffc546b700 (LWP 6151) exited]
[Thread 0x7fffbf7fe700 (LWP 6154) exited]
[Thread 0x7fffc4c6a700 (LWP 6152) exited]
[Thread 0x7fffbffff700 (LWP 6153) exited]
[New Thread 0x7fffbf7fe700 (LWP 6155)]
[New Thread 0x7fffbffff700 (LWP 6156)]
[Thread 0x7fffbf7fe700 (LWP 6155) exited]
[New Thread 0x7fffc4c6a700 (LWP 6157)]
[Thread 0x7fffbffff700 (LWP 6156) exited]
[New Thread 0x7fffc546b700 (LWP 6158)]
[Thread 0x7fffc4c6a700 (LWP 6157) exited]
[Thread 0x7fffc546b700 (LWP 6158) exited]
[New Thread 0x7fffc546b700 (LWP 6159)]
[New Thread 0x7fffc4c6a700 (LWP 6160)]
[Thread 0x7fffc546b700 (LWP 6159) exited]
[New Thread 0x7fffbffff700 (LWP 6161)]
[Thread 0x7fffc4c6a700 (LWP 6160) exited]
[New Thread 0x7fffbf7fe700 (LWP 6162)]
[Thread 0x7fffbffff700 (LWP 6161) exited]
[Thread 0x7fffbf7fe700 (LWP 6162) exited]
[New Thread 0x7fffbf7fe700 (LWP 6163)]
[New Thread 0x7fffbffff700 (LWP 6164)]
[New Thread 0x7fffc4c6a700 (LWP 6165)]
[New Thread 0x7fffc546b700 (LWP 6166)]
[Thread 0x7fffc546b700 (LWP 6166) exited]
[Thread 0x7fffbffff700 (LWP 6164) exited]
[Thread 0x7fffbf7fe700 (LWP 6163) exited]
[Thread 0x7fffc4c6a700 (LWP 6165) exited]

Thread 1 "FreeCAD" received signal SIGSEGV, Segmentation fault.
0x00007ffff5fec466 in Base::Vector3<double>::Vector3(Base::Vector3<double> const&) () from /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADBase.so
Missing separate debuginfos, use: zypper install Mesa-debuginfo-11.2.2-166.1.x86_64 Mesa-libGL1-debuginfo-11.2.2-166.1.x86_64 Mesa-libglapi0-debuginfo-11.2.2-166.1.x86_64 breeze4-style-debuginfo-5.8.3-4.1.x86_64 fontconfig-debuginfo-2.11.1-2.2.x86_64 glibc-locale-debuginfo-2.22-3.7.x86_64 kdebase4-runtime-debuginfo-16.08.2-1.1.x86_64 kdebase4-workspace-libs-debuginfo-4.11.22-3.24.x86_64 kdelibs4-debuginfo-4.14.25-1.1.x86_64 krb5-debuginfo-1.12.5-5.13.x86_64 libCoin80-debuginfo-3.9.99+hg20160705.1633-2.1.x86_64 libGLU1-debuginfo-9.0.0-16.4.x86_64 libHalf11-debuginfo-2.1.0-5.3.x86_64 libICE6-debuginfo-1.0.9-4.4.x86_64 libIex-2_1-11-debuginfo-2.1.0-5.3.x86_64 libIlmImf-Imf_2_1-21-debuginfo-2.1.0-7.4.x86_64 libIlmThread-2_1-11-debuginfo-2.1.0-5.3.x86_64 libSM6-debuginfo-1.2.2-6.3.x86_64 libX11-6-debuginfo-1.6.3-7.1.x86_64 libX11-xcb1-debuginfo-1.6.3-7.1.x86_64 libXau6-debuginfo-1.0.8-7.4.x86_64 libXcursor1-debuginfo-1.1.14-7.3.x86_64 libXdamage1-debuginfo-1.1.4-10.3.x86_64 libXext6-debuginfo-1.3.3-4.19.x86_64 libXfixes3-debuginfo-5.0.1-8.1.x86_64 libXi6-debuginfo-1.7.5-4.1.x86_64 libXinerama1-debuginfo-1.1.3-6.3.x86_64 libXrandr2-debuginfo-1.5.0-5.1.x86_64 libXrender1-debuginfo-0.9.9-4.1.x86_64 libXtst6-debuginfo-1.2.2-8.1.x86_64 libXxf86vm1-debuginfo-1.1.4-2.3.x86_64 libacl1-debuginfo-2.2.52-8.55.x86_64 libattica0_4-debuginfo-0.4.2-6.3.x86_64 libattr1-debuginfo-2.4.47-6.57.x86_64 libblas3-debuginfo-3.5.0-9.4.x86_64 libboost_atomic1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_chrono1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_date_time1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_filesystem1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_program_options1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_regex1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_signals1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_system1_62_0-debuginfo-1.62.0-199.10.x86_64 libboost_thread1_62_0-debuginfo-1.62.0-199.10.x86_64 libbz2-1-debuginfo-1.0.6-32.53.x86_64 libcap2-debuginfo-2.22-16.55.x86_64 libcom_err2-debuginfo-1.42.11-11.4.x86_64 libcurl4-debuginfo-7.52.1-189.2.x86_64 libdbus-1-3-debuginfo-1.8.22-1.1.x86_64 libdbusmenu-qt2-debuginfo-0.9.2+14.04.20131209-4.36.x86_64 libdrm2-debuginfo-2.4.68-1.4.x86_64 libdrm_intel1-debuginfo-2.4.68-1.4.x86_64 libdrm_nouveau2-debuginfo-2.4.68-1.4.x86_64 libdrm_radeon1-debuginfo-2.4.68-1.4.x86_64 libexpat1-debuginfo-2.2.0-159.1.x86_64 libffi4-debuginfo-5.3.1+r233831-7.1.x86_64 libfreetype6-debuginfo-2.6.3-3.1.x86_64 libgcc_s1-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libgfortran3-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libglib-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgmodule-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgobject-2_0-0-debuginfo-2.48.2-1.10.x86_64 libgstapp-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstaudio-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstpbutils-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstreamer-1_0-0-debuginfo-1.8.3-1.8.x86_64 libgsttag-1_0-0-debuginfo-1.8.3-1.4.x86_64 libgstvideo-1_0-0-debuginfo-1.8.3-1.4.x86_64 libicu52_1-debuginfo-52.1-11.5.x86_64 libjasper1-debuginfo-1.900.14-170.1.x86_64 libjbig2-debuginfo-2.0-4.4.x86_64 libjpeg8-debuginfo-8.0.2-33.1.x86_64 libkde4-debuginfo-4.14.25-1.1.x86_64 libkdecore4-debuginfo-4.14.25-1.1.x86_64 libkeyutils1-debuginfo-1.5.9-5.18.x86_64 libksuseinstall1-debuginfo-4.14.25-1.1.x86_64 liblapack3-debuginfo-3.5.0-9.4.x86_64 liblcms1-debuginfo-1.19-20.4.x86_64 libldap-2_4-2-debuginfo-2.4.44-14.1.x86_64 liblzma5-debuginfo-5.2.2-1.11.x86_64 libmng1-debuginfo-1.0.10-4.4.x86_64 libnghttp2-14-debuginfo-1.18.0-2.2.x86_64 libopenal1-debuginfo-1.16.0-5.5.x86_64 libopenssl1_0_0-debuginfo-1.0.2j-2.2.x86_64 liborc-0_4-0-debuginfo-0.4.24-7.6.x86_64 libpciaccess0-debuginfo-0.13.4-2.4.x86_64 libpcre1-debuginfo-8.39-6.1.x86_64 libpng16-16-debuginfo-1.6.8-8.1.x86_64 libpsl5-debuginfo-0.14.0-1.2.x86_64 libpython2_7-1_0-debuginfo-2.7.12-24.1.x86_64 libqt4-debuginfo-4.8.6-14.1.x86_64 libqt4-x11-debuginfo-4.8.6-14.1.x86_64 libquadmath0-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libsasl2-3-debuginfo-2.1.26-9.5.x86_64 libselinux1-debuginfo-2.5-2.12.x86_64 libshiboken-python2_7-1_2-debuginfo-1.2.4-1.2.x86_64 libspnav0-debuginfo-0.2.3-3.2.x86_64 libsqlite3-0-debuginfo-3.8.10.2-7.9.x86_64 libssh2-1-debuginfo-1.7.0-51.5.x86_64 libstdc++6-gcc6-debuginfo-6.1.1+r238085-1.12.x86_64 libtiff5-debuginfo-4.0.7-12.1.x86_64 libtxc_dxtn-debuginfo-1.0.1-4.2.x86_64 libudev1-debuginfo-228-15.1.x86_64 libuuid1-debuginfo-2.28-7.1.x86_64 libwebp5-debuginfo-0.4.3-7.4.x86_64 libxcb-dri2-0-debuginfo-1.11.1-2.25.x86_64 libxcb-dri3-0-debuginfo-1.11.1-2.25.x86_64 libxcb-glx0-debuginfo-1.11.1-2.25.x86_64 libxcb-present0-debuginfo-1.11.1-2.25.x86_64 libxcb-sync1-debuginfo-1.11.1-2.25.x86_64 libxcb1-debuginfo-1.11.1-2.25.x86_64 libxerces-c-3_1-debuginfo-3.1.4-39.43.x86_64 libxml2-2-debuginfo-2.9.4-1.4.x86_64 libxshmfence1-debuginfo-1.2-6.3.x86_64 libxslt1-debuginfo-1.1.29-84.5.x86_64 libz1-debuginfo-1.2.10-1.2.x86_64 python-base-debuginfo-2.7.12-24.1.x86_64 python-debuginfo-2.7.12-24.1.x86_64 python-pivy-debuginfo-0.5.0+hg20101206.2327-2.2.x86_64 python-pyside-debuginfo-1.2.2-4.27.x86_64
(gdb) bt
#0 0x00007ffff5fec466 in Base::Vector3<double>::Vector3(Base::Vector3<double> const&) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADBase.so
#1 0x00007fffc6025aa8 in TechDraw::DrawProjGroup::onDocumentRestored() () at /home/hinckel/FreeCAD/FreeCAD-Build/Mod/TechDraw/TechDraw.so
#2 0x00007ffff666c112 in App::Document::restore() () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADApp.so
#3 0x00007ffff67a90f9 in App::Application::openDocument(char const*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADApp.so
#4 0x00007ffff67ccff7 in App::Application::sOpenDocument(_object*, _object*, _object*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADApp.so
#5 0x00007ffff5b0d081 in PyEval_EvalFrameEx () at /usr/lib64/libpython2.7.so.1.0
#6 0x00007ffff5b17a72 in PyEval_EvalCodeEx () at /usr/lib64/libpython2.7.so.1.0
#7 0x00007ffff5b6c4e2 in PyEval_EvalCode () at /usr/lib64/libpython2.7.so.1.0
#8 0x00007ffff5b7279b in () at /usr/lib64/libpython2.7.so.1.0
#9 0x00007ffff5b729a2 in PyRun_StringFlags () at /usr/lib64/libpython2.7.so.1.0
#10 0x00007ffff5f7d0d2 in Base::InterpreterSingleton::runString(char const*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADBase.so
#11 0x00007ffff729e7ee in Gui::Command::doCommand(Gui::Command::DoCmd_Type, char const*, ...) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#12 0x00007ffff7200c09 in Gui::Application::open(char const*, char const*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#13 0x00007ffff7296b79 in Gui::RecentFilesAction::activateFile(int) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#14 0x00007ffff72ba9b3 in StdCmdRecentFiles::activated(int) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#15 0x00007ffff729df1c in Gui::Command::invoke(int) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#16 0x00007ffff72940f9 in Gui::ActionGroup::onActivated(QAction*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#17 0x00007ffff72985b1 in Gui::ActionGroup::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#18 0x00007fffed6840ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () at /usr/lib64/libQtCore.so.4
#19 0x00007fffee13d4df in QActionGroup::triggered(QAction*) () at /usr/lib64/libQtGui.so.4
#20 0x00007fffee13d55f in () at /usr/lib64/libQtGui.so.4
#21 0x00007fffed6840ea in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () at /usr/lib64/libQtCore.so.4
#22 0x00007fffee13a5b2 in QAction::triggered(bool) () at /usr/lib64/libQtGui.so.4
#23 0x00007fffee13bf63 in QAction::activate(QAction::ActionEvent) () at /usr/lib64/libQtGui.so.4
#24 0x00007fffee5652d9 in () at /usr/lib64/libQtGui.so.4
#25 0x00007fffee569829 in () at /usr/lib64/libQtGui.so.4
#26 0x00007fffee18fbba in QWidget::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#27 0x00007fffee56d67b in QMenu::event(QEvent*) () at /usr/lib64/libQtGui.so.4
#28 0x00007fffee1406fc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#29 0x00007fffee146d7a in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQtGui.so.4
#30 0x00007ffff726e15d in Gui::GUIApplication::notify(QObject*, QEvent*) () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#31 0x00007fffed67017d in QCoreApplication::notifyInternal(QObject*, QEvent*) () at /usr/lib64/libQtCore.so.4
#32 0x00007fffee146573 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
    at /usr/lib64/libQtGui.so.4
#33 0x00007fffee1b7f7c in () at /usr/lib64/libQtGui.so.4
#34 0x00007fffee1b66bc in QApplication::x11ProcessEvent(_XEvent*) () at /usr/lib64/libQtGui.so.4
#35 0x00007fffee1dd552 in () at /usr/lib64/libQtGui.so.4
#36 0x00007fffe750a134 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#37 0x00007fffe750a388 in () at /usr/lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#38 0x00007fffe750a42c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#39 0x00007fffed69cfae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#40 0x00007fffee1dd606 in () at /usr/lib64/libQtGui.so.4
#41 0x00007fffed66ed3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#42 0x00007fffed66f035 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQtCore.so.4
#43 0x00007fffed674489 in QCoreApplication::exec() () at /usr/lib64/libQtCore.so.4
#44 0x00007ffff7208d8c in Gui::Application::runApplication() () at /home/hinckel/FreeCAD/FreeCAD-Build/lib/libFreeCADGui.so
#45 0x0000000000407ebc in main ()

Kunda1

2017-01-13 13:22

manager   ~0007713

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=4&t=19841

wmayer

2017-01-13 16:30

administrator   ~0007717

The crash happens inside the method DrawProjGroup::onDocumentRestored() where getProjItem("Rot") returns a null pointer. This crash can be easily fixed by checking for "Rot", too.

} else if (hasProjection("Front") && hasProjection("Rot")) {


However, this raises a second error.
Since "Rot" is not defined inside the else branch this will be executed: setConfig("AD");
Over several cascades this will call this function: DrawProjectSplit::sortEdges and (under Windows with msvc) it crashes at this line:

std::sort(sorted.begin(), sorted.end(), edgeSortItem::edgeCompare);


IMO, the reason for the crash is an obscure implementation of "edgeCompare" and "DrawUtil::vectorCompare". To get a consistent "less" criterion the implementation should be like this:

if (e1.start != e2.start)
    return e1.start < e2.start // use here a corrected vectorCompare
// here we have e1.start == e2.start, try next criterion "startAngle"
if (!DrawUtil::fpCompare(e1.startAngle, e2.startAngle))
    return e1.startAngle < e2.startAngle
// here we have e1.startAngle == e2.startAngle, try next criterion "endAngle"
if (!DrawUtil::fpCompare(e1.endAngle, e2.endAngle))
    return e1.startAngle < e2.startAngle
// here we have e1.endAngle == e2.endAngle, try next criterion "idx"
if (e1.idx != e2.idx)
    return e1.idx < e2.idx
// here both objects are equal
return false;


A correct "less" function must fullfill this:
less(v1, v2): if true then v1 < v2, otherwise
less(v2, v1): if true then v2 < v1, otherwise v1 == v2

wandererfan

2017-01-13 19:00

developer   ~0007724

New property recently added to DrawProjGroup. Needs to test for missing property.
"Rot" is a typo - no such thing. Should be "Front" which we know has a projection.
Will check out compare routines too.

Issue History

Date Modified Username Field Change
2017-01-12 15:52 hinckel New Issue
2017-01-12 15:52 hinckel File Added: Dispositivo_Pos_Inserto.fcstd
2017-01-12 18:51 Kunda1 Note Added: 0007679
2017-01-12 19:20 hinckel Note Added: 0007680
2017-01-12 19:35 Kunda1 Note Added: 0007681
2017-01-13 10:54 hinckel Note Added: 0007705
2017-01-13 12:26 Kunda1 Note Added: 0007706
2017-01-13 13:13 hinckel Note Added: 0007711
2017-01-13 13:22 Kunda1 Note Added: 0007713
2017-01-13 16:30 wmayer Note Added: 0007717
2017-01-13 16:30 wmayer Assigned To => wandererfan
2017-01-13 16:30 wmayer Status new => confirmed
2017-01-13 19:00 wandererfan Note Added: 0007724
2017-01-14 16:15 wmayer Changeset attached => FreeCAD Master master 2fef05c7
2017-01-14 16:16 wmayer Changeset attached => FreeCAD Master master d8afbe56
2017-01-14 16:16 wmayer Status confirmed => closed
2017-01-14 16:16 wmayer Resolution open => fixed
2017-01-14 16:16 wmayer Fixed in Version => 0.17